# knife recipe list

The knife recipe list subcommand is used to view all of the recipes that are on a server. A regular expression can be used to limit the results to recipes that match a specific pattern. The regular expression must be within quotes and not be surrounded by forward slashes (/).

## Syntax

This argument has the following syntax:

    $ knife recipe list REGEX

## Options

Note

Review the list of common options available to this (and all) Knife subcommands and plugins.

This command does not have any specific options.

## Examples

The following examples show how to use this Knife subcommand:

View a list of recipes

To view a list of recipes:

    $ knife recipe list 'couchdb::*'

to return:

    couchdb::main_monitors
    couchdb::master
    couchdb::default
    couchdb::org_cleanu